Bug 1477253 - [abrt] gvfs-mtp: g_mount_spec_get(): gvfsd-mtp killed by SIGSEGV
[abrt] gvfs-mtp: g_mount_spec_get(): gvfsd-mtp killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gvfs (Show other bugs)
25
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ondrej Holy
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:73a6d5a47e36274717d39ffeee5...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-01 10:55 EDT by Dan Dragomir
Modified: 2017-12-12 05:19 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-12 05:19:13 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (20.56 KB, text/plain)
2017-08-01 10:55 EDT, Dan Dragomir
no flags Details
File: cgroup (148 bytes, text/plain)
2017-08-01 10:55 EDT, Dan Dragomir
no flags Details
File: core_backtrace (4.71 KB, text/plain)
2017-08-01 10:55 EDT, Dan Dragomir
no flags Details
File: dso_list (3.10 KB, text/plain)
2017-08-01 10:55 EDT, Dan Dragomir
no flags Details
File: environ (1.62 KB, text/plain)
2017-08-01 10:55 EDT, Dan Dragomir
no flags Details
File: exploitable (82 bytes, text/plain)
2017-08-01 10:55 EDT, Dan Dragomir
no flags Details
File: limits (1.29 KB, text/plain)
2017-08-01 10:55 EDT, Dan Dragomir
no flags Details
File: maps (16.28 KB, text/plain)
2017-08-01 10:55 EDT, Dan Dragomir
no flags Details
File: mountinfo (3.97 KB, text/plain)
2017-08-01 10:55 EDT, Dan Dragomir
no flags Details
File: namespaces (102 bytes, text/plain)
2017-08-01 10:55 EDT, Dan Dragomir
no flags Details
File: open_fds (1.04 KB, text/plain)
2017-08-01 10:56 EDT, Dan Dragomir
no flags Details
File: proc_pid_status (1.28 KB, text/plain)
2017-08-01 10:56 EDT, Dan Dragomir
no flags Details
File: var_log_messages (1.51 KB, text/plain)
2017-08-01 10:56 EDT, Dan Dragomir
no flags Details

  None (edit)
Description Dan Dragomir 2017-08-01 10:55:34 EDT
Description of problem:
I connected by Samsung S5 phone and tried to browse files.

Version-Release number of selected component:
gvfs-mtp-1.30.4-1.fc25

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        /usr/libexec/gvfsd-mtp --spawner :1.18 /org/gtk/gvfs/exec_spaw/79
crash_function: g_mount_spec_get
executable:     /usr/libexec/gvfsd-mtp
global_pid:     18977
kernel:         4.11.12-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1001

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_mount_spec_get at gmountspec.c:418
 #1 g_mount_spec_get_type at gmountspec.c:432
 #2 g_mount_spec_to_string at gmountspec.c:445
 #3 g_vfs_backend_add_auto_info at gvfsbackend.c:577
 #4 create_reply at gvfsjobqueryinfo.c:161
 #5 send_reply at gvfsjobdbus.c:161
 #10 g_vfs_job_send_reply at gvfsjob.c:236
 #11 g_vfs_job_succeeded at gvfsjob.c:302
 #12 do_query_info at gvfsbackendmtp.c:1491
 #13 g_vfs_job_run at gvfsjob.c:197

Potential duplicate: bug 851125
Comment 1 Dan Dragomir 2017-08-01 10:55:41 EDT
Created attachment 1307670 [details]
File: backtrace
Comment 2 Dan Dragomir 2017-08-01 10:55:43 EDT
Created attachment 1307671 [details]
File: cgroup
Comment 3 Dan Dragomir 2017-08-01 10:55:45 EDT
Created attachment 1307672 [details]
File: core_backtrace
Comment 4 Dan Dragomir 2017-08-01 10:55:47 EDT
Created attachment 1307673 [details]
File: dso_list
Comment 5 Dan Dragomir 2017-08-01 10:55:49 EDT
Created attachment 1307674 [details]
File: environ
Comment 6 Dan Dragomir 2017-08-01 10:55:50 EDT
Created attachment 1307675 [details]
File: exploitable
Comment 7 Dan Dragomir 2017-08-01 10:55:52 EDT
Created attachment 1307676 [details]
File: limits
Comment 8 Dan Dragomir 2017-08-01 10:55:54 EDT
Created attachment 1307677 [details]
File: maps
Comment 9 Dan Dragomir 2017-08-01 10:55:56 EDT
Created attachment 1307678 [details]
File: mountinfo
Comment 10 Dan Dragomir 2017-08-01 10:55:58 EDT
Created attachment 1307679 [details]
File: namespaces
Comment 11 Dan Dragomir 2017-08-01 10:56:00 EDT
Created attachment 1307680 [details]
File: open_fds
Comment 12 Dan Dragomir 2017-08-01 10:56:01 EDT
Created attachment 1307681 [details]
File: proc_pid_status
Comment 13 Dan Dragomir 2017-08-01 10:56:03 EDT
Created attachment 1307682 [details]
File: var_log_messages
Comment 14 Fedora End Of Life 2017-11-16 09:44:41 EST
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.
Comment 15 Fedora End Of Life 2017-12-12 05:19:13 EST
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.